IOREMAP(9)

NAME
ioremap - map bus memory into CPU space

SYNOPSIS

void __iomem * ioremap (unsigned long offset, unsigned long size);

ARGUMENTS

offset
    bus address of the memory

size
    size of the resource to map

DESCRIPTION

ioremap performs a platform specific sequence of operations to make bus memory CPU accessible via the readb/readw/readl/writeb/ writew/writel functions and the other mmio helpers. The returned address is not guaranteed to be usable directly as a virtual address.

AUTHORS
Matthew Wilcox <matthew@wil.cx>, Alan Cox <alan@redhat.com>.